Upstream information

CVE-2011-1487 at MITRE

Description

The (1) lc, (2) lcfirst, (3) uc, and (4) ucfirst functions in Perl 5.10.x, 5.11.x, and 5.12.x through 5.12.3, and 5.13.x through 5.13.11, do not apply the taint attribute to the return value upon processing tainted input, which might allow context-dependent attackers to bypass the taint protection mechanism via a crafted string.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:P/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact Partial
Availability Impact None
SUSE Bugzilla entry: 684799 [VERIFIED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Server 11 SP2
  • perl >= 5.10.0-64.55.1
  • perl-32bit >= 5.10.0-64.55.1
  • perl-base >= 5.10.0-64.55.1
  • perl-doc >= 5.10.0-64.55.1
  • perl-x86 >= 5.10.0-64.55.1
SUSE Linux Enterprise Server 11 SP3
  • perl >= 5.10.0-64.67.52
  • perl-32bit >= 5.10.0-64.67.52
  • perl-Module-Build >= 0.2808.01-0.67.52
  • perl-Test-Simple >= 0.72-0.67.52
  • perl-base >= 5.10.0-64.67.52
  • perl-doc >= 5.10.0-64.67.52
  • perl-x86 >= 5.10.0-64.67.52
SUSE Linux Enterprise Server 11 SP4
  • perl >= 5.10.0-64.72.1
  • perl-32bit >= 5.10.0-64.72.1
  • perl-Module-Build >= 0.2808.01-0.72.1
  • perl-Test-Simple >= 0.72-0.72.1
  • perl-base >= 5.10.0-64.72.1
  • perl-doc >= 5.10.0-64.72.1
  • perl-x86 >= 5.10.0-64.72.1
SUSE Linux Enterprise Software Development Kit 11 SP4
  • perl-base-32bit >= 5.10.0-64.72.1
SUSE Linux Enterprise Software Development Kit 11 SP1
  • perl-base-x86 >= 5.10.0-64.55.1
Builds
SAT Patch Nr: 4499
SUSE Linux Enterprise Software Development Kit 11 SP1
  • perl-base-32bit >= 5.10.0-64.55.1
Builds
SAT Patch Nr: 4499
SUSE Linux Enterprise Desktop 11 SP1
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
  • perl >= 5.10.0-64.55.1
  • perl-base >= 5.10.0-64.55.1
  • perl-doc >= 5.10.0-64.55.1
Builds
SAT Patch Nr: 4499
SUSE Linux Enterprise Desktop 11 SP1
SUSE Linux Enterprise Server 11 SP1
SUSE Linux Enterprise Server 11 SP1 for VMware
  • perl >= 5.10.0-64.55.1
  • perl-32bit >= 5.10.0-64.55.1
  • perl-base >= 5.10.0-64.55.1
  • perl-doc >= 5.10.0-64.55.1
Builds
SAT Patch Nr: 4499
SUSE Linux Enterprise Server 11 SP1
  • perl >= 5.10.0-64.55.1
  • perl-base >= 5.10.0-64.55.1
  • perl-doc >= 5.10.0-64.55.1
  • perl-x86 >= 5.10.0-64.55.1
Builds
SAT Patch Nr: 4499
openSUSE 11.2
  • perl-base-debuginfo >= 5.10.0-72.11.1
  • perl-base-debuginfo-32bit >= 5.10.0-72.11.1
  • perl-debuginfo >= 5.10.0-72.11.1
  • perl-debuginfo-32bit >= 5.10.0-72.11.1
  • perl-debugsource >= 5.10.0-72.11.1
openSUSE 11.2
  • perl >= 5.10.0-72.11.1
  • perl-32bit >= 5.10.0-72.11.1
  • perl-base >= 5.10.0-72.11.1
  • perl-base-32bit >= 5.10.0-72.11.1
  • perl-doc >= 5.10.0-72.11.1
openSUSE 11.3
  • perl-base-debuginfo >= 5.12.1-2.5.1
  • perl-base-debuginfo-32bit >= 5.12.1-2.5.1
  • perl-debuginfo >= 5.12.1-2.5.1
  • perl-debuginfo-32bit >= 5.12.1-2.5.1
  • perl-debugsource >= 5.12.1-2.5.1
openSUSE 11.3
  • perl >= 5.12.1-2.5.1
  • perl-32bit >= 5.12.1-2.5.1
  • perl-base >= 5.12.1-2.5.1
  • perl-base-32bit >= 5.12.1-2.5.1
  • perl-doc >= 5.12.1-2.5.1
openSUSE 11.4
  • perl >= 5.12.3-11.16.1
  • perl-32bit >= 5.12.3-11.16.1
  • perl-base >= 5.12.3-11.16.1
  • perl-base-32bit >= 5.12.3-11.16.1
  • perl-doc >= 5.12.3-11.16.1
SUSE Linux Enterprise SDK 10 SP3
SUSE Linux Enterprise Server 10 SP3
SUSE Linux Enterprise Server for SAP 10 SP3
  • perl >= 5.8.8-14.19.7
  • perl-32bit >= 5.8.8-14.19.7
Builds
ZYPP Patch Nr: 7508
SUSE Linux Enterprise Server 10 SP3
  • perl >= 5.8.8-14.19.7
Builds
ZYPP Patch Nr: 7508
SUSE Linux Enterprise Server 10 SP3
  • perl >= 5.8.8-14.19.7
  • perl-x86 >= 5.8.8-14.19.7
Builds
ZYPP Patch Nr: 7508
SUSE Linux Enterprise Server 10 SP3
  • perl >= 5.8.8-14.19.7
  • perl-64bit >= 5.8.8-14.19.7
Builds
ZYPP Patch Nr: 7508
SUSE Linux Enterprise Desktop 10 SP4 for x86
SUSE Linux Enterprise Server 10 SP4 for x86
  • perl >= 5.8.8-14.19.7
Builds
ZYPP Patch Nr: 7507
SUSE Linux Enterprise Desktop 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 for IBM zSeries 64bit
  • perl >= 5.8.8-14.19.7
  • perl-32bit >= 5.8.8-14.19.7
Builds
ZYPP Patch Nr: 7507
SUSE Linux Enterprise Server 10 SP4 for IPF
  • perl >= 5.8.8-14.19.7
  • perl-x86 >= 5.8.8-14.19.7
Builds
ZYPP Patch Nr: 7507
SUSE Linux Enterprise Server 10 SP4 for IBM POWER
  • perl >= 5.8.8-14.19.7
  • perl-64bit >= 5.8.8-14.19.7
Builds
ZYPP Patch Nr: 7507


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SLED-10-SP3 perl Released
SLED-10-SP4 perl Released
SLES-10-SP3 perl Released
SLES-10-SP4 perl Released
SLES_LTSS-10-SP4 perl Released
SUSE Linux Enterprise Desktop 11 SP1 perl Released
SUSE Linux Enterprise Server 11 SP1 perl Released
SUSE Linux Enterprise Server 11 SP1 LTSS perl Released
SUSE Linux Enterprise Server for SAP Business All-in-One perl Released
SUSE Linux Enterprise Software Development Kit 11 SP1 perl Released